org.eclipse.graphiti.platform

## Interface IPlatformImageConstants

    public interface IPlatformImageConstants

This interface provides predefined image constants which can be used by the features for image graphics algorithm.

### Field Summary

Fields
`static String` `IMG_DIAGRAM` The Constant IMG_DIAGRAM.
`static String` `IMG_ECLIPSE_ERROR` The Constant IMG_ECLIPSE_ERROR.
`static String` `IMG_ECLIPSE_ERROR_TSK` The Constant IMG_ECLIPSE_ERROR_TSK.
`static String` `IMG_ECLIPSE_INFORMATION` The Constant IMG_ECLIPSE_INFORMATION.
`static String` `IMG_ECLIPSE_INFORMATION_TSK` The Constant IMG_ECLIPSE_INFORMATION_TSK.
`static String` `IMG_ECLIPSE_QUICKASSIST` The Constant IMG_ECLIPSE_QUICKASSIST.
`static String` `IMG_ECLIPSE_WARNING` The Constant IMG_ECLIPSE_WARNING.
`static String` `IMG_ECLIPSE_WARNING_TSK` The Constant IMG_ECLIPSE_WARNING_TSK.
`static String` `IMG_EDIT_COLLAPSE` The Constant IMG_EDIT_COLLAPSEALL.
`static String` `IMG_EDIT_COLLAPSEALL` The Constant IMG_EDIT_COLLAPSEALL.
`static String` `IMG_EDIT_DELETE` The Constant IMG_EDIT_DELETE.
`static String` `IMG_EDIT_EXPAND` The Constant IMG_EDIT_EXPANDALL.
`static String` `IMG_EDIT_EXPANDALL` The Constant IMG_EDIT_EXPANDALL.
`static String` `IMG_EDIT_REFRESH` The Constant IMG_EDIT_REFRESH.
`static String` `IMG_EDIT_REMOVE` The Constant IMG_EDIT_REMOVE.
`static String` `IMG_MISSING` The Constant IMG_MISSING.
`static String` `IMG_TOGGLE_PAD` The Constant IMG_TOGGLE_PAD.
`static String` `PRE` The Constant PRE.

### Field Detail

#### PRE

    static final String PRE

The Constant PRE.

See Also:
  Constant Field Values

#### IMG_MISSING

    static final String IMG_MISSING

The Constant IMG_MISSING.

See Also:
  Constant Field Values

#### IMG_EDIT_EXPAND

    static final String IMG_EDIT_EXPAND

The Constant IMG_EDIT_EXPANDALL.

See Also:
  Constant Field Values

#### IMG_EDIT_EXPANDALL

    static final String IMG_EDIT_EXPANDALL

The Constant IMG_EDIT_EXPANDALL.

See Also:
  Constant Field Values

#### IMG_EDIT_COLLAPSE

    static final String IMG_EDIT_COLLAPSE

The Constant IMG_EDIT_COLLAPSEALL.

See Also:
  Constant Field Values

#### IMG_EDIT_COLLAPSEALL

    static final String IMG_EDIT_COLLAPSEALL

The Constant IMG_EDIT_COLLAPSEALL.

See Also:
  Constant Field Values

#### IMG_EDIT_REFRESH

    static final String IMG_EDIT_REFRESH

The Constant IMG_EDIT_REFRESH.

See Also:
  Constant Field Values

#### IMG_EDIT_DELETE

    static final String IMG_EDIT_DELETE

The Constant IMG_EDIT_DELETE.

See Also:
  Constant Field Values

#### IMG_EDIT_REMOVE

    static final String IMG_EDIT_REMOVE

The Constant IMG_EDIT_REMOVE.

See Also:
  Constant Field Values

#### IMG_DIAGRAM

    static final String IMG_DIAGRAM

The Constant IMG_DIAGRAM.

See Also:
  Constant Field Values

#### IMG_ECLIPSE_WARNING

    static final String IMG_ECLIPSE_WARNING

The Constant IMG_ECLIPSE_WARNING.

See Also:
  Constant Field Values

#### IMG_ECLIPSE_WARNING_TSK

    static final String IMG_ECLIPSE_WARNING_TSK

The Constant IMG_ECLIPSE_WARNING_TSK.

See Also:
  Constant Field Values

#### IMG_ECLIPSE_ERROR

    static final String IMG_ECLIPSE_ERROR

The Constant IMG_ECLIPSE_ERROR.

See Also:
  Constant Field Values

#### IMG_ECLIPSE_ERROR_TSK

    static final String IMG_ECLIPSE_ERROR_TSK

The Constant IMG_ECLIPSE_ERROR_TSK.

See Also:
  Constant Field Values

#### IMG_ECLIPSE_INFORMATION

    static final String IMG_ECLIPSE_INFORMATION

The Constant IMG_ECLIPSE_INFORMATION.

See Also:
  Constant Field Values

#### IMG_ECLIPSE_INFORMATION_TSK

    static final String IMG_ECLIPSE_INFORMATION_TSK

The Constant IMG_ECLIPSE_INFORMATION_TSK.

See Also:
  Constant Field Values

#### IMG_ECLIPSE_QUICKASSIST

    static final String IMG_ECLIPSE_QUICKASSIST

The Constant IMG_ECLIPSE_QUICKASSIST.

See Also:
  Constant Field Values

#### IMG_TOGGLE_PAD

    static final String IMG_TOGGLE_PAD

The Constant IMG_TOGGLE_PAD.

Since:
  0.9
See Also:
  Constant Field Values